# Console appender limited to INFO

log4j.appender.console = org.apache.log4j.ConsoleAppender
log4j.appender.console.threshold = INFO
log4j.appender.console.encoding = UTF-8
log4j.appender.console.layout = org.apache.log4j.PatternLayout
log4j.appender.console.layout.conversionPattern = %d{ISO8601} %-5p %c - %m%n



# RollingFile appender limited to DEBUG

log4j.appender.rollingfile = org.apache.log4j.RollingFileAppender
log4j.appender.rollingfile.threshold = DEBUG
log4j.appender.rollingfile.layout = org.apache.log4j.PatternLayout
log4j.appender.rollingfile.layout.conversionPattern = %d{ISO8601} %-5p %c - %m%n
log4j.appender.rollingfile.file = ${catalina.home}/logs/local-file-exposer/local-file-exposer.log
log4j.appender.rollingfile.append = true
log4j.appender.rollingfile.encoding = UTF-8
log4j.appender.rollingfile.datePattern = '.'yyyy-MM-dd


# Configuration of the Loggers

log4j.rootLogger = DEBUG, console, rollingfile

log4j.logger.org.springframework = INFO
log4j.logger.org.apache.cxf = INFO
